# All experiments
# Default
python experiment.py --noise gauss --noise_std 0.01  --sparsity 0.3 --trans_clos FW --weight_bounds 0.4 0.8 --edges 2 --samples 400 --nodes 10 20 30 40 50 --transformation None

# Challenges
python experiment.py --samples 20 --methods moebius notears nocurl GES MMPC
python experiment.py --fixSup True

#Sensitivity analysis of hyperparameters
python experiment.py --noise_std 0.1 
python experiment.py --sparsity 0.6 
python experiment.py --sparsity 0.1  
python experiment.py --weight_bounds 0.2 0.4 
python experiment.py --weight_bounds 0.5 2 
python experiment.py --edges 3
python experiment.py --transformation stand 
python experiment.py --trans_clos zero
python experiment.py --noise gumbel
python experiment.py --noise_effect spectral

# real dataset
python sachs.py


# Plots
python plot_experiment.py --noise gauss --noise_std 0.01  --sparsity 0.3 --trans_clos FW --weight_bounds 0.4 0.8 --edges 2 --nodes 10 20 30 40 50 --transformation None
python plot_experiment.py --noise_std 0.1
python plot_experiment.py --sparsity 0.6 
python plot_experiment.py --sparsity 0.1  
python plot_experiment.py --weight_bounds 0.2 0.4 
python plot_experiment.py --weight_bounds 0.5 2 
python plot_experiment.py --edges 3
python plot_experiment.py --transformation stand 
python plot_experiment.py --trans_clos zero
python plot_experiment.py --noise gumbel
python plot_experiment.py --noise_effect spectral
python plot_experiment.py --samples 20 --methods moebius notears nocurl GES MMPC
python plot_experiment.py --fixSup True


# printing table in latex format
python print_table_tex.py --noise gauss --noise_std 0.01  --sparsity 0.3 --trans_clos FW --weight_bounds 0.4 0.8 --edges 2 --nodes 10 20 30 40 50 --transformation None
python print_table_tex.py --noise_std 0.1
python print_table_tex.py --sparsity 0.6 
python print_table_tex.py --sparsity 0.1  
python print_table_tex.py --weight_bounds 0.2 0.4 
python print_table_tex.py --weight_bounds 0.5 2 
python print_table_tex.py --edges 3
python print_table_tex.py --transformation stand 
python print_table_tex.py --trans_clos zero
python print_table_tex.py --noise gumbel
python print_table_tex.py --noise_effect spectral
python print_table_tex.py --samples 20 --methods moebius notears nocurl GES MMPC
python print_table_tex.py --fixSup True